package cn.iocoder.yudao.module.bpm.util;

public class OANotifyContentUtil {

    /**
     * 构建审批通知内容
     *
     * @param assigneeName 审批人姓名
     * @param applyName    申请人姓名
     * @param processName  流程名称
     * @return 通知内容
     */
    public static StringBuilder buildContentSendToAssignee(String assigneeName, String applyName, String processName) {
        StringBuilder builder = new StringBuilder();
        builder.append(assigneeName).append("：您好，").append(applyName).append("发起的")
                .append(processName).append("申请单已到您处，请及时处理。详情请在审批中心-我的待办查看，谢谢！");
        return builder;
    }

    /**
     * 构建审批驳回通知内容
     *
     * @param assigneeName 当前审批人姓名
     * @param applyName    申请人姓名
     * @param processName  流程名称
     * @return 通知内容
     */
    public static StringBuilder buildContentSendToApplyForDisagree(String assigneeName, String applyName, String processName) {
        StringBuilder builder = new StringBuilder();
        builder.append(applyName).append("：您好，您的").append(processName).append("申请单已被").append(assigneeName).append("驳回。详情请在审批中心-我的待办查看，谢谢！");
        return builder;
    }

    /**
     * 构建审批完成通知内容
     *
     * @param applyName    申请人姓名
     * @param processName  流程名称
     * @return 通知内容
     */
    public static StringBuilder buildContentSendToApplyForComplete(String applyName, String processName) {
        StringBuilder builder = new StringBuilder();
        builder.append(applyName).append("：您好，您的").append(processName).append("申请单已审批通过。详情请在审批中心-已发起中查看，谢谢！");
        return builder;
    }
}
